Name:           wol
Version:        0.7.1
Release:    1%{?dist}
Summary:        Wake On Lan client

License:        GPLv2+
URL:            http://sourceforge.net/projects/wake-on-lan/
Source0:        http://downloads.sourceforge.net/wake-on-lan/%{name}-%{version}.tar.gz
Patch0:         wol-0.7.1-binding.patch
Patch1:         wol-configure-c99.patch

BuildRequires: make
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  perl-podlators

%description
wol implements Wake On LAN functionality in a small program. It wakes up
hardware that is Magic Packet compliant. SecureON is supported by wol too.

%prep
%setup -q
%patch0 -p1 -b .binding
%patch1 -p1 -b .configure-c99

%build
%configure --disable-static
make %{?_smp_mflags}
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv
touch -c -r ChangeLog ChangeLog.conv
mv ChangeLog.conv ChangeLog

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
rm -f %{buildroot}%{_infodir}/dir
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_infodir}/%{name}.info.*
%{_mandir}/man?/*.*
%{_bindir}/%{name}*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.1-1
- initial build
